package types

/*
	Интерфейс для приложения
*/

// IServer -- интерфейс для приложения
type IServer interface {
	IKernel
	// Store -- хранилище приложения
	Store() IStore
	// Run -- запускает приложение в работу
	Run() error
	// ServBots -- словарь имеющихся ботов
	ServBots() IServBots
}
